:host {
	display: grid;
	grid-template-columns: max-content 1fr;
	grid-template-rows: min-content 1fr;
	grid-template-areas:
		'sender-profile-image sender-name'
		'messages messages';
	gap: 8px;
	align-content: flex-start;

	&.right {
		grid-template-columns: 1fr max-content;
		grid-template-areas:
			'sender-name sender-profile-image'
			'messages messages';
		justify-items: flex-end;
	}

	.sender-name {
		grid-area: sender-name;

		margin: 0;
		align-self: center;
		padding-left: 8px;
	}

	.sender-profile-image {
		grid-area: sender-profile-image;
	}

	.messages {
		grid-area: messages;

		display: grid;
		grid-column: 1 / 3;
		align-items: flex-start;
		gap: 8px;
	}
}
